<script src="./Script.js"></script>

<template>
  <div class="nt-settings-multiple-content">
    <!--<div class="nt-settings-multiple-item" v-if="attributeDefaultNoDrag">-->
    <!--<div class="nt-settings-multiple-item-wrap">-->
    <!--<div class="nt-settings-multiple-item-content">-->
    <!--<div class="nt-settings-multiple-head" :id="'nt-settings-multiple-head-' + attributeDefaultNoDrag.id">-->
    <!--<span class="nt-settings-multiple-item-title">-->
    <!--<template v-if="attributeDefaultNoDrag.option_value">-->
    <!--{{ attributeDefaultNoDrag.option_value }}-->
    <!--</template>-->

    <!--<template v-else>-->
    <!--<em>Chưa có tiêu đề</em>-->
    <!--</template>-->
    <!--</span>-->
    <!--</div>-->
    <!--</div>-->
    <!--</div>-->
    <!--<div class="nt-settings-multiple-item-drag-no-edit no-drag">-->
    <!--</div>-->
    <!--</div>-->
    <vue-nestable
      v-model="attributeOptions"
      key-prop="id"
      :threshold="0"
      children-prop="childrens"
      :max-depth="1"
      v-if="attributeOptions && attributeOptions.length > 0"
      @input="sortNestedData()"
    >
      <template slot-scope="{ item }">
        <div class="nt-settings-multiple-item">
          <div class="nt-settings-multiple-item-wrap">
            <div class="nt-settings-multiple-item-content">
              <div class="nt-settings-multiple-head" :id="'nt-settings-multiple-head-' + item.id">
                <span class="nt-settings-multiple-item-title">
                  <template v-if="item.option_value">{{ item.option_value }}</template>

                  <template v-else>
                    <em>Chưa có tiêu đề</em>
                  </template>
                </span>
              </div>
            </div>
          </div>

          <button
            aria-expanded="true"
            aria-haspopup="true"
            data-toggle="dropdown"
            class="btn m-btn--icon nt-settings-multiple-item-dropdown"
          >
            <i class="la la-ellipsis-h"></i>
          </button>

          <div class="dropdown-menu nt-settings-multiple-item-dropdown-wrap">
            <span class="nt-settings-arrow-up"></span>
            <a href="javascript:;" class="dropdown-item" @click.prevent="showEditPopup(item)">
              <i class="icon icon-pencil"></i>
              Chỉnh sửa
            </a>
            <a href="javascript:;" @click.prevent="deleteItem(item)" class="dropdown-item">
              <i class="icon icon-trash"></i>
              Xóa
            </a>
          </div>
          <vue-nestable-handle v-if="item.id" :item="item">
            <div class="nt-settings-multiple-item-drag">
              <i class="icon icon-scroll nt-settings-multiple-item-drag-icon"></i>
            </div>
          </vue-nestable-handle>
        </div>
      </template>
    </vue-nestable>
  </div>
</template>
